Subject: bug#19775: closed (Re: Test failing after the CVE fix)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Sep 2016 07:27:02 +0000

Your bug report

#19775: Test failing after the CVE fix

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19775: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19775
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Test failing after the CVE fix
From: Paul Eggert <[email-masked]>
To: Vladimír Čunát <[email-masked]>
Cc: [email-masked]
Date: Sat, 3 Sep 2016 00:26:28 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

http://bugs.gnu.org/19775

Evidently nobody has had time to look into this bug report. As the report is 
against a patch to an old release of grep, and the bug doesn't seem to have 
occurred in that release or in any later release, I'm boldly closing the bug as 
fixed.

Subject: Test failing after the CVE fix
From: Vladimír Čunát <[email-masked]>
To: [email-masked]
Date: Wed, 04 Feb 2015 23:51:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!
(Please, CC me with replies.)
After the latest CVE fix I'm getting an assertion failure in tests 
(below). I reproduce that both on latest master (846e7eee8) or with 2.21 
with patch 83a95bd8c8 applied (2.21 itself is OK).

XFAIL: triple-backref
=====================

grep: regexec.c:1401: pop_fail_stack: Assertion `num >= 0' failed.
./triple-backref: line 32:  8135 Aborted                 grep -E 
'(.?)(.?)(.?)\3\2\1' in > out
--- out 2015-02-04 21:41:19.316668595 +0000
+++ in  2015-02-04 21:41:19.316668595 +0000
@@ -0,0 +1 @@
+a

Thanks,
Vladimir